Create a database snapshot
curl --request POST \
--url https://cloud.laravel.com/api/databases/clusters/{database}/snapshots \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'import requests
url = "https://cloud.laravel.com/api/databases/clusters/{database}/snapshots"
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>'})
};
fetch('https://cloud.laravel.com/api/databases/clusters/{database}/snapshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "database_snapshots",
"links": {
"self": {
"href": "<string>",
"rel": "<string>",
"describedby": "<string>",
"title": "<string>",
"type": "<string>",
"hreflang": "<string>",
"meta": {}
}
},
"attributes": {
"name": "<string>",
"description": "<string>",
"storage_bytes": 123,
"pitr_enabled": true,
"pitr_ends_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"database": {
"data": {
"type": "databases",
"id": "<string>"
}
}
}
},
"included": [
{
"id": "<string>",
"type": "databases",
"attributes": {
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"config": {
"suspend_seconds": 123,
"retention_days": 123
},
"connection": {
"hostname": "<string>",
"username": "<string>",
"password": "<string>"
}
},
"relationships": {
"schemas": {
"data": [
{
"type": "databaseSchemas",
"id": "<string>"
}
]
},
"databases": {
"data": [
{
"type": "databaseSchemas",
"id": "<string>"
}
]
}
}
}
]
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Database Snapshots
Create a database snapshot
Create a new manual snapshot for a database cluster.
POST
/
databases
/
clusters
/
{database}
/
snapshots
Create a database snapshot
Authorizations
The Bearer Token generated on the Cloud UI.
Path Parameters
The database identifier
Body
application/json
Was this page helpful?
⌘I

